
test_name 'pe-httpd should not have a subscribe relationship when a custom auth.conf is present'

teardown do
  step 'Restoring auth.conf'
  on master, "cp #{AUTH_CONF_BACKUP_PATH} #{AUTH_CONF_PATH}"
end

step 'Modifying auth.conf'

on master, "echo MODIFIED > #{AUTH_CONF_PATH}"

step 'Applying request_manager manifest'

apply_manifest_on master, 'include request_manager', {:catch_failures => true} do

  # this tests for the absence of the pe-httpd service restart, but currently there would be a dependency failure
  # due to the auth.conf file resource not being present
  fail_test('httpd should not have restarted') if result.output.include? "Service[pe-httpd]: Triggered 'refresh'"
end